# Class ApiRequest

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Represents an API request, encapsulating the data and configuration needed to invoke a remote or web service endpoint.

    public class ApiRequest

Inheritance
  object
  ApiRequest

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Fields

### Appointment

    public PatientAppointment? Appointment

#### Field Value

PatientAppointment

### Appointments

    public List<PatientAppointment>? Appointments

#### Field Value

List<PatientAppointment>

### Treatment

    public PatientTreatment? Treatment

#### Field Value

PatientTreatment

### Treatments

    public List<PatientTreatment>? Treatments

#### Field Value

List<PatientTreatment>

## Properties

### AdmTime

    public DateTime? AdmTime { get; set; }

#### Property Value

DateTime?

### Admission

    public Admission? Admission { get; set; }

#### Property Value

Admission

### Alarms

    public List<PatientObservationAlarm>? Alarms { get; set; }

#### Property Value

List<PatientObservationAlarm>

### AlertLocationFrom

    public PatientLocation? AlertLocationFrom { get; set; }

#### Property Value

PatientLocation

### AlertLocationTo

    public PatientLocation? AlertLocationTo { get; set; }

#### Property Value

PatientLocation

### AttendingDoctor

    public Person? AttendingDoctor { get; set; }

#### Property Value

Person

### ChatMessage

    public ChatMessage? ChatMessage { get; set; }

#### Property Value

ChatMessage

### Diagnosis

    public List<PatientDiagnosis>? Diagnosis { get; set; }

#### Property Value

List<PatientDiagnosis>

### DisTime

    public DateTime? DisTime { get; set; }

#### Property Value

DateTime?

### Discharge

    public Discharge? Discharge { get; set; }

#### Property Value

Discharge

### Facility

    public string? Facility { get; set; }

#### Property Value

string

### IccaPatients

    public List<PatientIcca>? IccaPatients { get; set; }

#### Property Value

List<PatientIcca>

### Location

    public PatientLocation? Location { get; set; }

#### Property Value

PatientLocation

### MasterList

    public MasterList? MasterList { get; set; }

#### Property Value

MasterList

### MessageTime

    public DateTime MessageTime { get; set; }

#### Property Value

DateTime

### Notice

    public Notice? Notice { get; set; }

#### Property Value

Notice

### ObsertationData

    public ObservationData? ObsertationData { get; set; }

#### Property Value

ObservationData

### Observation

    public PatientObservation? Observation { get; set; }

#### Property Value

PatientObservation

### ObservationData

    public ObservationData? ObservationData { get; set; }

#### Property Value

ObservationData

### Observations

    public List<PatientObservation>? Observations { get; set; }

#### Property Value

List<PatientObservation>

### OldLocation

    public PatientLocation? OldLocation { get; set; }

#### Property Value

PatientLocation

### OldPatientNumber

    public string? OldPatientNumber { get; set; }

#### Property Value

string

### Patient

    public Person? Patient { get; set; }

#### Property Value

Person

### PatientId

    public string? PatientId { get; set; }

#### Property Value

string

### PatientNumber

    public string? PatientNumber { get; set; }

#### Property Value

string

### PumpObservation

    public PumpObservation? PumpObservation { get; set; }

#### Property Value

PumpObservation

### PumpObservations

    public List<PumpObservation>? PumpObservations { get; set; }

#### Property Value

List<PumpObservation>

### Recording

    public RecordingData? Recording { get; set; }

#### Property Value

RecordingData

### RecordingAlert

    public PatientRecordingAlert? RecordingAlert { get; set; }

#### Property Value

PatientRecordingAlert

### RecordingAlerts

    public List<PatientRecordingAlert>? RecordingAlerts { get; set; }

#### Property Value

List<PatientRecordingAlert>

### RequestFromPanel

    public bool RequestFromPanel { get; set; }

#### Property Value

bool

### TraceId

    public string? TraceId { get; set; }

#### Property Value

string

### TraceMessageId

    public string? TraceMessageId { get; set; }

#### Property Value

string

### Type

    public string? Type { get; set; }

#### Property Value

string

### WaitResult

    public bool WaitResult { get; set; }

#### Property Value

bool

## Methods

### ToString()

Returns a JSON string representation of the current object using SerializeObject(object, Formatting) with no formatting. If serialization fails, falls back to the result of ToString().

    public override string? ToString()

#### Returns

string

  A JSON string representation of the object, or the base ToString() result if serialization throws an exception.